## socksio 1.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -W
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
socksio (1.0.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sandro Tosi ]
  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 16:32:51 -0500

socksio (1.0.0-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Sat, 12 Mar 2022 17:47:47 -0500

socksio (1.0.0-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/2.20211223-morph; Closes: #1006443

 -- Sandro Tosi <morph@debian.org>  Fri, 25 Feb 2022 03:02:13 +0000

=== debian/control ===
Source: socksio
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 13),
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/sethmlarson/socksio
Vcs-Git: https://salsa.debian.org/morph/socksio.git
Vcs-Browser: https://salsa.debian.org/morph/socksio
Rules-Requires-Root: no

Package: python3-socksio
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: Sans-I/O implementation of SOCKS4, SOCKS4A, and SOCKS5
 Client-side sans-I/O SOCKS proxy implementation. Supports SOCKS4, SOCKS4A, and
 SOCKS5.
 .
 socksio is a sans-I/O library similar to h11 or h2, this means the library
 itself does not handle the actual sending of the bytes through the network, it
 only deals with the implementation details of the SOCKS protocols so you can
 use it in any I/O library you want.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=socksio
%:
	dh $@ --with python3 --buildsystem=pybuild
